# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

inherit eutils

DESCRIPTION="emulates an AirPort Express for the purpose of streaming music
from iTunes and compatible iPods"
HOMEPAGE="http://www.mafipulation.org"
MY_P="albertz-shairport-587f217"
SRC_URI="https://download.github.com/${MY_P}.tar.gz"
S=${WORKDIR}/${MY_P}

LICENSE="CC"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="dev-libs/openssl
	media-libs/libao
	>=dev-lang/perl-5.10
	net-dns/avahi"
RDEPEND="${DEPEND}
	dev-perl/HTTP-Message
	dev-perl/libwww-perl
	dev-perl/Crypt-OpenSSL-RSA
	dev-perl/IO-Socket-INET6
	"

pkg_setup() {
	enewgroup audio
	enewuser audio -1 -1 -1 audio
}


src_install() {
	cd ${S}
	dobin hairtunes shairport.pl shairport
	newinitd ${FILESDIR}/${PN}.initd ${PN}
}
